const request = require("request")
const BotClient = require(".../BotClient.js")

class getChannel {
    constructor(id){
     this.id  = id
    }
}

const form = {
    method: "GET",
    url: `https://api.zoom.us/v2/chat/channels/${id}`,
    headers: {
        'Authorization': BotClient.token,
        'content-type': 'application/json'
      }
}

function callback(error, response, body) {
    if(response.statusCode == 400){
    throw Error("400 Bad Request")
    }
    if(error && response.statusCode == 200){
    throw Error("200 Unauthorized request. You do not have permission to access this user’s channel information. ")
    }
    if(response.statusCode == 404){
     throw Error("404 Not found.")
    }
    if(response.statusCode == 4130){
        throw Error("4130 Channel does not exist: " + id)
       }
  }

request(form, callback).on("response",body =>{
    let tp;
    var data = JSON.parse(body)
    if(data.type === 1) var tp = "private_channel"
    if(data.type === 2) var tp = "private_group_channel"
    if(data.type === 3) var tp = "public_channel"
   
    const channel = {
        id: data.id,
        name: data.name,
        type: tp
    }
    return channel
})

module.exports = getChannel