module.exports = {
    //Clients
    Hookclient: require("./types/HookClient/HookClient"),
    BotClient: require("./types/BotClient/BotClient"),

    //features

    //HookClient
/* Functions about webhook client */
    
    //BotClient
    /* Functions about bot client */
    //DELETE
    deleteChannel: require("./types/BotClient/methods/DELETE/deleteChannel.js"),
    leaveChannel: require("./types/BotClient/methods/DELETE/leaveChannel.js"),
    removeMember: require("./types/BotClient/methods/DELETE/removeMember.js"),
    //GET
    getChannel: require("./types/BotClient/methods/GET/getChannel.js"),
    getChannelMembers: require("./types/BotClient/methods/GET/getChannelMembers.js"),
    getUserChannels: require("./types/BotClient/methods/GET/getUserChannels.js"),
    //PATCH
    updateChannel: require("./types/BotClient/methods/PATCH/updateChannel.js"),
    //POST

    //Error Handler


    //Websocket
    Wscore: require("./util/wscore.js"),
    WebSocket: require("./src/websocket.js")
}