const messages = new Map();
const kCode = Symbol('code');

codes.exports = {
   1: "Unknow error. Please join https://discord.gg/3GzrQWr for reporting  error and getting help"




}

function message(key, args) {
    if (typeof key !== 'string') throw new Error('Error message key must be a string');
    const msg = messages.get(key);
    if (!msg) throw new Error(`An invalid error message key was used: ${key}.`);
    if (typeof msg === 'function') return msg(...args);
    if (args === undefined || args.length === 0) return msg;
    args.unshift(msg);
    return String(...args);
  }
  


function throwZoomerError(code) {
    return class ZoomerError extends code {
        constructor(key, ...args) {
          super(message(key, args));
          this[kCode] = key;
          if (Error.captureStackTrace) Error.captureStackTrace(this, ZoomerError);
        }
    
        get name() {
          return `${super.name} [${this[kCode]}]`;
        }
    
        get code() {
          return this[kCode];
        }
      };
}



 
  function register(sym, val) {
    messages.set(sym, typeof val === 'function' ? val : String(val));
  }

  module.exports = throwZoomerError