const request = require("request")
const BotClient = require(".../BotClient.js")

class leaveChannel {
    constructor(id){
     this.id  = id
    }
}

const form = {
    method: "DELETE",
    url: `https://api.zoom.us/v2/chat/channels/${id}/members/me`,
    headers: {
        'Authorization': BotClient.token,
        'content-type': 'application/json'
      }
}

function callback(error, response, body) {
    if(response.statusCode == 400){
    throw Error("400 Bad Request")
    }
    if(response.statusCode == 404){
     throw Error("404 Not found.")
    }
    if(response.statusCode == 5301){
        throw Error("5301 Request to leave the channel failed.")
       }
  }

  request(form, callback)



module.exports = leaveChannel