const request = require("request")
const BotClient = require(".../BotClient.js")

class removeMember {
    constructor(id, member){
     this.id  = id
     this.member = member 
    }
}


const form = {
    method: "DELETE",
    url: `https://api.zoom.us/v2/chat/channels/${id}/members/${member}`,
    headers: {
        'Authorization': BotClient.token,
        'content-type': 'application/json'
      }
}

function callback(error, response, body) {
    if(response.statusCode == 400){
    throw Error("400 Bad Request")
    }
    if(response.statusCode == 404){
     throw Error("404 Not found.")
    }
    if(response.statusCode == 200){
        throw Error("200 Unauthorized request. You do not have permission to remove channel members on this user’s behalf.")
       }
    if(response.statusCode == 5301){
        throw Error("5301 Unable to remove channel member")
       }
  }
  request(form, callback)


module.exports = removeMember