const request = require("request")
const BotClient = require(".../BotClient.js")

class getChannelMembers {
    constructor(id){
     this.id  = id
    }
}

const form = {
    method: "GET",
    url: `https://api.zoom.us/v2/chat/channels/${id}/members`,
    headers: {
        'Authorization': BotClient.token,
        'content-type': 'application/json'
      }
}

function callback(error, response, body) {
    if(response.statusCode == 400){
    throw Error("400 Bad Request")
    }
    if(error && response.statusCode == 200){
    throw Error("200 Unauthorized request. You do not have permission to access this user’s channel information. ")
    }
    if(response.statusCode == 404){
     throw Error("404 Not found.")
    }
    if(response.statusCode == 300){
        throw Error("300 The next page token is either invalid or has expired.")
       }
  }

request(form, callback).on("response",response =>{
     var body = JSON.parse(response.body)
    const responser = {
    totalRecords: body.total_records,
    pageSize: body.page_size,
    nextpageToken: body.next_page_token,
    members: [
        body.members.map(),
        id = body.members.map().id,
        email = body.members.map().email,
        firstname = body.members.map().first_name,
        lastname = body.members.map().last_name,
        role = body.members.map().role
    ]
    }
    return responser
})

module.exports = getChannelMembers