const request = require("request")
const BotClient = require(".../BotClient.js")

class updateChannel {
  constructor(id, new_name){
   this.id  = id
   this.new_name = new_name
  }
}

const form = {
    method: "PATCH",
    url: `https://api.zoom.us/v2/chat/channels/${id}`,
    headers: {
        'Authorization': BotClient.token,
        'content-type': 'application/json',
        'name': new_name
      }
}

function callback(error, response, body) {
    if(response.statusCode == 400){
    throw Error("Bad Request")
    }
    if(response.statusCode == 200){
    throw Error("Unauthorized request. You do not have permission to update a channel for this user.        ")
    }
    if(response.statusCode == 5301){
     throw Error("Request to update a channel failed.")
    }
    if (!error && response.statusCode == 200) {
      const info = JSON.parse(body);
     
    }
  }

request(form, callback)

module.exports = updateChannel